---
id: secretariat-000
type: Location
contains:
  - bulletin-000
props:
  - dark
events:
  info:
    actor: "Secrétariat du déprtement informatique"
  look:
    actor: |
      Vous êtes enfin dans le secrétariat du département informatique.
      Votre bulletin est posé sur le bureau de la secrétaire.

---
  id: bulletin-000
  type: Thing
  events:
    infos:
      actor: "Bulletin de notes au nom de {{ actor.name }}"
    look:
      actor: "Vous avez trouvé un bulletin de note, serait-ce le vôtre ?"

---
id: clef-000
type: Thing
name: clef
props:
  - takable
  - key-for-porte-secretariat-000
events:
  info:
    actor: "une clef"
  look:
    actor: |
      C'est une clef permettant d'ouvrir les portes du département informatique.

---
id: portal-hall-secretariat-000
type: Portal
props:
  - closed
  - closable
exits:
  - id: hall-000-sud-est
    location: hall-000
    direction: sud-est
    name:
      - porte
      - secrétariat
    gender: fem
    props:
      - for-enter
    events:
      enter-portal:
        actor     : "Vous entrez dans le secrétariat"
        observer  : "{{ actor.name }} entre dans le secrétariat."
        failed:
          actor   : &porte001 |
            La porte du secrétariat est fermée.
            Sans la clef vous ne pourrez pas entrer pour récupérer votre bulletin.
          observer: &porte002 |
            {{ actor.name }} tente d'entrer dans le secrétariat mais la porte semble fermée.
      leave-portal:
        actor     : "Vous sortez du secretariat."
        observer  : "{{ actor.name }} sort du secrétariat."
      open        :
        - props   : portal:closed
          actor   : *porte001
          observer: *porte002
        - props   : -portal:closed
          actor   : &porte003 "La porte est déjà ouverte!"
      open-with   :
        - props   :
            - portal:closed
            - object2:key-for-porte-secretariat-000
          effects :
            type  : ChangePropEffect
            modifs:
              - -portal:closed
          actor   : |
            La porte du secrétariat est enfin ouverte.
          observer: |
            {{ actor.name }} ouvre la porte du secrétariat.
        - props   :
            - portal:closed
            - -object2:key-for-porte-secretariat-000
          actor   : |
            Vous tentez d'ouvrir la porte avec
            {{ object2.noun_the() }}
          observer: |
            {{ actor.name }} tente vainement d'ouvrir la porte du
            secrétariat avec {{ object2.noun_a() }}
        - props   :
            - -portal:closed
          actor   : *porte003
          observer: |
            {{ actor.name }} tente d'ouvrir la porte du
            secrétariat avec {{ object2.noun_a() }}, alors
            qu'elle est déjà ouverte.
      close       : &porte004
        - props   : portal:closed
          actor   : "Vous fermez la porte du secrétariat."
          observer: "{{ actor.name }} ferme le porte du secrétariat."
          effects :
            - type  : ChangePropEffect
              modifs: =portal-secretariat-hall-000:closed
      close-with  : *porte004
  - id: secretariat-000-nord-ouest
    location: secretariat-000
    direction: nord-ouest
    name: porte
    gender: fem
    props:
      - for-leave
    events:
      enter-portal:
        observer  : "{{ actor.name }} sort du secrétariat."
        failed:
          actor   : |
            La porte d'accès au secrétariat est sécurisée.
            Elle est actuellement fermée et, même pour sortir,
            elle ne peut être ouverte qu'avec la clef.
          observer: |
            {{ actor.name }} tente de sortir par la porte
            du secrétariat.

---
id: boite-000
type: Thing
name: boite
events:
  info:
    actor: "Une petite boite en bois"
  look:
    actor: |
      Sur le sol du parking se trouve une petite boite en bois...
      Elle ne pourrait pas trouver une place dans votre collection d'objets divers ?
      Un petit bout de papier dépasse de la boite.

---
id: papier-000
type: Thing
name: papier
events:
  info:
    actor: "Un petit papier froissé"
  look:
    actor: |
      Quelque chose est écrit sur la papier : <i>Un petit garçon en classe de maternelle va apprendre l'alphabet, mais à sa manière : A/E/F/H/I/K/L/M/N/ ?</i>

---
id: bureau-000
type: Location
events:
  info:
    actor: "Bureau d'un enseignant du déprtement informatique"
  look:
    actor: |
      Vous êtes dans le bureau d'un enseignant. Ce dernier vous regarde d'un air interrogateur.
      Suite à vos explication quant à votre présence à l'IUT un samedi matin,
      il fini par vous dire qu'il n'a pas la clef du secrétariat.
      Avant de rentrer chez vous vous voulez tout de même passer aux toilettes car
      vous avez un rendez-vous sur Paris et la route va être longue.

---
id: portal-hall-bureau-000
type: Portal
exits:
  - id: hall-000-nord-ouest
    location: hall-000
    direction: nord-ouest
  - id: bureau-000-nord-est
    location: bureau-000
    direction: nord-est

---
id: toilettes-000
type: Location
events:
  info:
    actor: "Toilettes de l'IUT"
  look:
    actor: |
      Vous êtes dans les toilettes de l'IUT. Une des cabines à une pencarte <i>HS</i>.
      La deuxième cabine est devant vous au nord.

---
id: cabine-000
type: Location
events:
  info:
    actor: "cabine des toilettes"
  look:
    actor: |
      Dans cette cabine vous trouvez des toilettes Turques.
parts:
  - WC-000

---
id: WC-000
names:
  - WC
  - toilettes
type: Thing
events:
  info:
    actor: "des WC"
  look:
    actor: |
      Les WC n'étant pas très propres vous décidez finalement d'aller faire un tour du côté de la cafétéria, on ne sait jamais.

---
id: portal-hall-toilettes-000
type: Portal
exits:
  - id: hall-000-nord-est
    location: hall-000
    direction: nord-est
  - id: toilettes-000-sud-ouest
    location: toilettes-000
    direction: sud-ouest

---
id: portal-toilettes-cabine-000
type: Portal
exits:
  - id: toilettes-000-nord
    location: toilettes-000
    direction: nord
  - id: cabine-000-sud
    location: cabine-000
    direction: sud

---
id: cafeteria-000
type: Location
contains:
  - sandwich-000
events:
  info:
    actor: "Cafétéria de l'IUT."
  look:
    actor: |
      Vous êtes dans la cafétéria et un sandiwch traine sur le comptoir.
      Une porte au nord semble être condamnée.
part:
  - sandwich-000

---
id: sandwich-000
type: Thing
name: sandwich
props:
  - takable
  - mangeable
gender: masc
events:
  info:
    actor:
      - props: =sandwich-000:eat
        data : "Papier du sandwich."
      - data : "un sandwich <i>montagnard</i>."
  look:
    actor:
      - props: object:eat
        data: "Le sandwich à l'air appétissant."
      - data : "Il ne reste que le papier du sandwich."
  eat:
    - props: object:eat
      actor: "Il ne reste que le papier du sandwich."
    - actor: "Vous mangez le sandwich."
      observer: |
        {{ actor.name }} mange le sandwich.
      effects:
        - type : ChangePropEffect
          modifs: object:eat
        - type: EnterPortalEffect
          exit: =portal-sandwich-aqualand-000-exit-1

---
id: portal-aqualand-000
type: Portal
exits:
  - id: portal-sandwich-aqualand-000-exit-1
    location: cafeteria-000
    events:
      enter-portal:
        actor: |
          Après avoir mangé en entier votre sandwich, vous ressentez
          soudain un vertige. Vous tombez dans les pommes et une lumière
          blanche bizarre vous fait disparaitre.
        observer: |
          {{ actor.name }} tombe dans les pommes après avoir mangé le
          sandwich. Il disparait dans une grande lumière blanche.
  - id: portal-aqualand-000-exit-2
    location: aqualand-000
    direction: bas
    props:
      - for-leave
